package com.ruoyi.frequency.highendauth.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.frequency.highendauth.entity.HighendAuth;
import com.ruoyi.frequency.highendauth.model.result.HighendAuthCount;
import org.apache.ibatis.annotations.Param;

/**
 * 高端认证Mapper接口
 *
 * @author liwenlong
 * @date 2023-10-20
 */
public interface HighendAuthMapper  extends BaseMapper<HighendAuth>
{
    /**
     * 查询高端认证
     *
     * @param id 高端认证主键
     * @return 高端认证
     */
    public HighendAuth selectHighendAuthById(Long id);

    /**
     * 查询高端认证列表
     *
     * @param highendAuth 高端认证
     * @return 高端认证集合
     */
    public List<HighendAuth> selectHighendAuthList(HighendAuth highendAuth);

    /**
     * 新增高端认证
     *
     * @param highendAuth 高端认证
     * @return 结果
     */
    public int insertHighendAuth(HighendAuth highendAuth);

    /**
     * 修改高端认证
     *
     * @param highendAuth 高端认证
     * @return 结果
     */
    public int updateHighendAuth(HighendAuth highendAuth);

    /**
     * 删除高端认证
     *
     * @param id 高端认证主键
     * @return 结果
     */
    public int deleteHighendAuthById(Long id);

    /**
     * 批量删除高端认证
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHighendAuthByIds(Long[] ids);

    HighendAuthCount statistics(@Param("list") List<Long> highendAuthIdList);
}
